Subject: Re: [PATCH v3 1/3] powerpc/512x: add LocalPlus Bus FIFO device driver

From: Timur Tabi <[email-masked]>
Date: Mon, 28 Sep 2015 08:18:21 -0500

Alexander Popov wrote:
> The only question I have: why calling dma_unmap_single() from within
> a spinlock is a bad practice?

I don't know, but usually functions that allocate or free memory cannot 
be called from within a spinlock.  You need to check that.  Since the 
MPC5121 is a single-core CPU, you might not notice if you're doing 
something wrong.